Bug 1801339 - Host parsing from resolv.conf doesn't handle IPv6 with %zone info
Summary: Host parsing from resolv.conf doesn't handle IPv6 with %zone info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Brad P. Crochet
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks: 1801343
TreeView+ depends on / blocked
 
Reported: 2020-02-10 16:57 UTC by Brad P. Crochet
Modified: 2020-05-13 21:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1801343 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:57:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift coredns pull 22 0 None closed Bug 1801339: Rebase to upstream 1.6.6 2020-11-04 10:27:53 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:57:37 UTC

Description Brad P. Crochet 2020-02-10 16:57:19 UTC
If an IPv6 address with %zone info appended is in resolv.conf the parsing does not work properly. It does not properly identify as an IPv6 address, and causes panic.

Comment 3 errata-xmlrpc 2020-05-13 21:57:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.